Maemomm Reference Documentation: hildon-fmmm

Main Page Namespaces Book

# Hildon::FileDetailsDialog Class Reference
[Dialogs]

Inheritance diagram for Hildon::FileDetailsDialog:

List of all members.

## Detailed Description

The Hildon::FileDetailsDialog is a dialog to show file information.

It has two tabs:

- One tab contains the file name, size, last modification date and some general information.
- One tab is for the use of applications. It might show, for example, the line count, preview of a document or length of a sound.

This dialog is used not only in the file manager application, but also in all kinds of applications with user files, such as editors and viewers.

The additional tab can be set via the additional-tab and additional-tab-label properties.

## Public Member Functions
| FileDetailsDialog (const Glib::RefPtr<FileSystemModel>& model)
| This a preferred way to create a Hildon::FileDetailsDialog.
| FileDetailsDialog (Gtk::Window& parent, const Glib::RefPtr<FileSystemModel>& model)
| This a preferred way to create a Hildon::FileDetailsDialog.
Gtk::TreeModel::iterator | get_file_iter () const
| Gets an iterator pointing to the item for the displayed file in the Hildon::FileSystemModel.
const HildonFileDetailsDialog* | gobj () const
| Provides access to the underlying C GtkObject.
HildonFileDetailsDialog* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_file_iter (const Gtk::TreeModel::iterator& iter)
| Sets the dialog to display information about a file defined by given iterator.
virtual | ~FileDetailsDialog ()
## Related Functions
(Note that these are not member functions.)
Hildon::FileDetailsDialog* | wrap (HildonFileDetailsDialog* object, bool take_copy=false)
  | Parameters:
  | object | The C instance

## Constructor & Destructor Documentation

virtual Hildon::FileDetailsDialog::~FileDetailsDialog | ( |  | ) | `[virtual]`

Hildon::FileDetailsDialog::FileDetailsDialog | ( | Gtk::Window & | parent,
|  | const Glib::RefPtr<FileSystemModel>& | model |
| ) |  |  |

This a preferred way to create a Hildon::FileDetailsDialog.

You can use a shared model structure to save loading times (because you probably already have one at your disposal).

Parameters:

  | parent | The parent window.
  | model,: | a Hildon::FileSystemModel object used to fetch data

Hildon::FileDetailsDialog::FileDetailsDialog | ( | const Glib::RefPtr<FileSystemModel>& | model | ) |

This a preferred way to create a Hildon::FileDetailsDialog.

You can use a shared model structure to save loading times (because you probably already have one at your disposal).

Parameters:

  | model,: | a Hildon::FileSystemModel object used to fetch data

## Member Function Documentation

Gtk::TreeModel::iterator Hildon::FileDetailsDialog::get_file_iter | ( |  | ) | const

Gets an iterator pointing to the item for the displayed file in the Hildon::FileSystemModel.

Returns:
  An iterator to the displayed file.

const HildonFileDetailsDialog* Hildon::FileDetailsDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

HildonFileDetailsDialog* Hildon::FileDetailsDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

void Hildon::FileDetailsDialog::set_file_iter | ( | const Gtk::TreeModel::iterator & | iter | ) |

Sets the dialog to display information about a file defined by given iterator.

Parameters:

  | iter | A Gtk::TreeIter pointing to desired file.

## Friends And Related Function Documentation

Hildon::FileDetailsDialog* wrap | ( | HildonFileDetailsDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- file-details-dialog.h